ChartDirector Ver 5.0 (PHP Edition)

BaseChart.addTitle

Usage

addTitle(text [, font [, fontSize [, fontColor [, bgColor [, edgeColor ]]]]])

Description

Adds a title at the top center of the chart.
The title is contained within a box, of which the width is the same as the width of the chart, and the height is automatically adjusted to fit the text. The box is initially invisible, but can be made visible by setting the bgColor and edgeColor.

Arguments

Argument | Default | Description
--- | --- | ---
text | (Mandatory) | The text for the title. See ChartDirector Mark Up Language on how to embed special tags in the text for sophisticated formatting.
font | "" | The font used to draw the title text. The default is "bold". See Font Specification for details on various font attributes.
fontSize | 12 | The font size in points for the title text.
fontColor | TextColor | The color of the title text.
bgColor | Transparent | The background color of the title box.
edgeColor | Transparent | The border color of the title box.

Return Value

A TextBox object representing the title box. This may be used to fine-tune the appearance of the title box.

© 2009 Advanced Software Engineering Limited. All rights reserved.